org.apache.sysds.runtime.privacy.propagation

## Class MatrixMultiplicationPropagatorPrivateFirst

- java.lang.Object
- - org.apache.sysds.runtime.privacy.propagation.MatrixMultiplicationPropagator
  - - org.apache.sysds.runtime.privacy.propagation.MatrixMultiplicationPropagatorPrivateFirst

All Implemented Interfaces:
  Propagator

    public class MatrixMultiplicationPropagatorPrivateFirst
    extends MatrixMultiplicationPropagator

MatrixMultiplicationPropagator that overrides generateFineGrainedConstraints by finding the private elements first followed by propagating PrivateAggregation in case of non-aggregating operator types.

### Constructor Summary

Constructors
Constructor and Description
`MatrixMultiplicationPropagatorPrivateFirst()`
`MatrixMultiplicationPropagatorPrivateFirst(MatrixBlock input1, PrivacyConstraint privacyConstraint1, MatrixBlock input2, PrivacyConstraint privacyConstraint2)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.privacy.propagation.MatrixMultiplicationPropagator

`getOperatorTypesCol, getOperatorTypesRow, propagate, setFields`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixMultiplicationPropagatorPrivateFirst

    public MatrixMultiplicationPropagatorPrivateFirst()

#### MatrixMultiplicationPropagatorPrivateFirst

    public MatrixMultiplicationPropagatorPrivateFirst(MatrixBlock input1,
                                                      PrivacyConstraint privacyConstraint1,
                                                      MatrixBlock input2,
                                                      PrivacyConstraint privacyConstraint2)